require( "scripts/style.lua" );

MakeDialog
{
	-- Name the modal dialog
	name="GameMenu",
	Bitmap
	{
		image="backgrounds/gamemenu/back",
		x = kCenter,
		y = kCenter-40,
		
		GameMenu
		{
			x=0,y=0,w=kMax,h=kMax,
			SetStyle(ButtonStyle),

			Button
			{
				x = kCenter, y = 60,
				name="resume",
				parent = DefaultStyle,
				type= kPush,
				graphics = {"backgrounds/gamemenu/b_back",	"backgrounds/gamemenu/b_back_pressed",	"backgrounds/gamemenu/b_back_mauseover"},
				command =
					function()
						CloseWindow(nil);
						PlayGSound("butt");
					end
			},

			Button
			{
				x = kCenter, y = 180,
				name="options",
				parent = DefaultStyle,
				type= kPush,
				graphics = {"backgrounds/gamemenu/b_options",	"backgrounds/gamemenu/b_options_pressed",	"backgrounds/gamemenu/b_options_mauseover"},
				command =
					function()
						PlayGSound("butt");
						CloseWindow(nil);
						StartOptBox();
					end
			},
	
			
			
			Button
			{
				x = kCenter, y = 300,
				name="menu",
				parent = DefaultStyle,
				type= kPush,
				graphics = {"backgrounds/gamemenu/b_mainmenu",	"backgrounds/gamemenu/b_mainmenu_pressed",	"backgrounds/gamemenu/b_mainmenu_mauseover"},
				command =
					function()
						PlayGSound("butt");
						DoModal("scripts/askpuzzle2mmenu.lua");
					end
			},
		
		},
	},
}

